summaryrefslogtreecommitdiffstats
path: root/source/n/uucp/uucp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/uucp/uucp.SlackBuild')
-rwxr-xr-xsource/n/uucp/uucp.SlackBuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/source/n/uucp/uucp.SlackBuild b/source/n/uucp/uucp.SlackBuild
index d8f2c63b3..1cd43740d 100755
--- a/source/n/uucp/uucp.SlackBuild
+++ b/source/n/uucp/uucp.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=uucp
VERSION=1.07
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -54,6 +54,9 @@ else
SLKCFLAGS="-O2"
fi
+# GCC 14 "fix":
+SLKCFLAGS="$SLKCFLAGS -Wno-error=implicit-int -Wno-error=incompatible-pointer-types"
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-uucp
@@ -68,6 +71,9 @@ cd $TMP
rm -rf uucp-$VERSION
tar xvf $CWD/uucp-$VERSION.tar.gz || exit 1
cd uucp-$VERSION || exit 1
+
+cat $CWD/uucp-configure-c99.patch | patch -p1 --verbose || exit 1
+
zcat $CWD/policy.h.diff.gz | patch -p1 --verbose || exit 1
CFLAGS="$SLKCFLAGS" \
./configure \